### Function Macro

# GLib warn_if_fail

since: 2.16

#### Declaration

    #define g_warn_if_fail (
      expr
    )

#### Description

Logs a warning if the expression is not true.

Unlike g_return_if_fail(), the expression is always evaluated, even if checks and assertions are disabled.

Available since: 2.16

This function is not directly available to language bindings.

#### Parameters

`expr`

  Type: `-`

  The expression to check.